cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
Join Customer Connection to register!
876
Views
0
Helpful
10
Replies
aaron-saz
Beginner

Cisco 3850 upgrade to Gibralter

I have a Cisco 3850 I’d like to upgrade to Gibraltar-16.12.05b  ( cat3k_caa-universalk9.16.12.05b.SPA.bin ).  Below is the version it's currently running.   Can I go directly to Gibralter?

 

show ver | inc IOS-XE
Cisco IOS Software, IOS-XE Software, Catalyst L3 Switch Software (CAT3K_CAA-UNIVERSALK9-M), Version 03.06.06E RELEASE SOFTWARE (fc1)

thanx

1 ACCEPTED SOLUTION

Accepted Solutions
Georg Pauwen
VIP Expert

Hello,

 

keep in mind the below (from the Gibraltar Release Notes):

 

'You cannot boot Cisco IOS XE Gibraltar 16.x.x, Cisco IOS XE Fuji 16.x.x, Cisco IOS XE Everest 16.x.x, or Cisco IOS XE Denali 16.x.x via TFTP for the first time with a Cisco IOS XE 3.x.xE boot loader. The Cisco IOS XE 3.x.xE boot loaders have a limitation, which prevents the booting of an image larger than 400MB via the TFTP server. Since Cisco IOS XE Gibraltar 16.x.x, Cisco IOS XE Fuji 16.x.x, Cisco IOS XE Everest 16.x.x, and Cisco IOS XE Denali 16.x.x images are larger than 400MB, you must boot the image via flash.'

 

Other than that, follow the instructions in the release notes:

 

Upgrading from Cisco IOS XE Release 3.x.xE in Install Mode

 

https://www.cisco.com/c/en/us/td/docs/switches/lan/catalyst3850/software/release/16-12/release_notes/ol-16-12-3850.html#task_k3s_tgq_k3b

 


Upgrading from Cisco IOS XE Release 3.x.xE in Bundle Mode

 

https://www.cisco.com/c/en/us/td/docs/switches/lan/catalyst3850/software/release/16-12/release_notes/ol-16-12-3850.html#task_v31_sgq_k3b

 

View solution in original post

10 REPLIES 10
Georg Pauwen
VIP Expert

Hello,

 

keep in mind the below (from the Gibraltar Release Notes):

 

'You cannot boot Cisco IOS XE Gibraltar 16.x.x, Cisco IOS XE Fuji 16.x.x, Cisco IOS XE Everest 16.x.x, or Cisco IOS XE Denali 16.x.x via TFTP for the first time with a Cisco IOS XE 3.x.xE boot loader. The Cisco IOS XE 3.x.xE boot loaders have a limitation, which prevents the booting of an image larger than 400MB via the TFTP server. Since Cisco IOS XE Gibraltar 16.x.x, Cisco IOS XE Fuji 16.x.x, Cisco IOS XE Everest 16.x.x, and Cisco IOS XE Denali 16.x.x images are larger than 400MB, you must boot the image via flash.'

 

Other than that, follow the instructions in the release notes:

 

Upgrading from Cisco IOS XE Release 3.x.xE in Install Mode

 

https://www.cisco.com/c/en/us/td/docs/switches/lan/catalyst3850/software/release/16-12/release_notes/ol-16-12-3850.html#task_k3s_tgq_k3b

 


Upgrading from Cisco IOS XE Release 3.x.xE in Bundle Mode

 

https://www.cisco.com/c/en/us/td/docs/switches/lan/catalyst3850/software/release/16-12/release_notes/ol-16-12-3850.html#task_v31_sgq_k3b

 

View solution in original post

Leo Laohoo
VIP Community Legend

Direct upgrade from 3.X.X is possible with the following command: 

software install file flash:IOS_filename.bin new force verb on-reboot

IMPORTANT:  

  1. Make sure to read the Release Notes.  
  2. Make sure to use the correct file.  The script is stupid and does not perform any software validation check -- It is possible to extract the packages meant for a Catalyst 9k into a Catalyst 3k (or vice versa).  

NOTE:  

The last firmware for the 3650/3850, 16.12.6, is scheduled to be release by the end August 2021.

CRITICAL

Be very certain someone has tested 16.12.X on 3650/3850 because ugly things (can/will) happen with 16.12.X.  (Translation:  16.12.X is buggy AF.)

@Leo Laohoo  - cheers for information, what is your views Csico 3850 moving 3.6.X or 3.7.X to 16.9.X or 16.12 ? good to go direct.

 

BB

***** Rate All Helpful Responses *****

How to Ask The Community for Help

Same as before, @balaji.bandi.

IF it is possible, stick with the latest 3.6.X or 3.7.X. 

If there is the need to go to 16.X.X then go to 16.9.X and avoid f**king disaster called 16.12.X.  
(The final release for the 3650/3850, 16.12.6, is scheduled for the end of August 2021.)

NOTE:  It is extremely difficult to act "professional" when talking about 16.12.X.  Believe me, I've tried (and failed).  

Cool 3.7.4 is good just upgraded, before jump to 16.X will monitor before deploy on production

 

BB

***** Rate All Helpful Responses *****

How to Ask The Community for Help

I have several critical sites on 3.6.X and 3.7.X with an uptime of >3 years.  No issues.  

I have some stacks on 16.9.X and they are good too.  

16.12.X, sadly, not as good.  

i am going to try tomorrow 16.9.6 as suggest best ( any way i was staying away from 16.12.X)

BB

***** Rate All Helpful Responses *****

How to Ask The Community for Help

To anyone who wants to use 16.12.X (3650/3850 and Catalyst 9200/9200L, 9300/9300L, 9400, 9500 & 9600): 

1.  Pay close attention to CSCvv28324 & CSCvi48988.  These two bugs are "related" or a duplicate of each other.  

2.  The triggers are IOS-XE version 16.12.4 (and later) + DOM optics.  

3.  Use the following workaround: 

snmp-server view <NAME> iso included
snmp-server view <NAME> ciscoEntityFRUControlMIB excluded
snmp-server view <NAME> entSensorValueEntry excluded
snmp-server community <SNMP Community name> view <NAME> RW <ACL NUMBER>
snmp-server community <SNMP Community name> view <NAME> RO <ACL NUMBER>

Hope this helps.

Did you do your upgrade?  Wondering how it went.

 

aaron-saz
Beginner

Thanx all.